osl::record::myshogi Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
osl::record::myshogi Namespace Reference

## Functions
std::string | show (const NumEffectState &state)
std::string | show (const NumEffectState &state, Move last_move, const NumEffectState &prev, bool add_csa_move=false)
std::string | show (Player)
std::string | show (Ptype)
std::string | show (Square)
std::string | show (Piece)

## Function Documentation

std::string osl::record::myshogi::show | ( | const NumEffectState & | state) |  |

Definition at line 43 of file myshogi.cc.

References osl::eval::ProgressEvalGeneral< OpeningEval >::attackDefenseBonus(), osl::BLACK, osl::eval::ml::OpenMidEndingEval::captureValue(), osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ProgressEvalGeneral< OpeningEval >::endgameValue(), osl::eval::ml::OpenMidEndingEval::endgameValue(), osl::PtypeTable::getCsaName(), osl::PtypeTable::getIndexLimit(), osl::PtypeTable::getIndexMin(), osl::indexToPlayer(), osl::Piece::isOnBoard(), make1(), make2(), max_progress, osl::eval::ml::OpenMidEndingEval::midgame2Value(), osl::eval::ml::OpenMidEndingEval::midgameValue(), osl::eval::ProgressEvalGeneral< OpeningEval >::minorPieceValue(), osl::newPtypeO(), osl::Piece::number(), osl::eval::ml::OpenMidEndingEval::openingValue(), osl::PieceStand::order, osl::Piece::owner(), osl::PAWN, piece_estimate_level, osl::record::KanjiPrint::print(), osl::progress::ml::NewProgress::progress(), osl::progress::Effect5x3::progress16(), osl::progress::ml::NewProgress::progress16(), osl::eval::ml::OpenMidEndingEval::progress16(), progress_independent_features, osl::eval::ml::OpenMidEndingEvalDebugInfo::progress_independent_values, osl::Piece::ptype(), osl::Ptype_Table, osl::record::csa::show(), osl::Piece::square(), stage_features, osl::eval::ml::OpenMidEndingEvalDebugInfo::stage_values, osl::unpromote(), osl::progress::Progress16::value(), osl::eval::PieceEval::value(), osl::eval::ProgressEvalGeneral< OpeningEval >::value(), osl::eval::ml::OpenMidEndingEval::value(), verbose, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by main().

std::string osl::record::myshogi::show | ( | const NumEffectState & | state,
|  | Move | last_move,
|  | const NumEffectState & | prev,
|  | bool | add_csa_move = `false`
| ) |  |

Definition at line 11 of file myshogi.cc.

References osl::BLACK, osl::Move::isNormal(), osl::Piece::isOnBoard(), order, osl::record::csa::show(), osl::Move::to(), osl::WHITE, osl::Square::x(), and osl::Square::y().

std::string osl::record::myshogi::show | ( | Player | p) |  |

Definition at line 80 of file myshogi.cc.

References osl::BLACK.

std::string osl::record::myshogi::show | ( | Ptype | p) |  |

Definition at line 50 of file myshogi.cc.

std::string osl::record::myshogi::show | ( | Square | p) |  |

Definition at line 62 of file myshogi.cc.

References osl::Square::x(), and osl::Square::y().

std::string osl::record::myshogi::show | ( | Piece | p) |  |

Definition at line 71 of file myshogi.cc.

References osl::Piece::isOnBoard(), osl::Piece::owner(), osl::Piece::ptype(), osl::record::csa::show(), and osl::Piece::square().